﻿using combit.Reporting;
using combit.Reporting.DataProviders;
using Report.Library;
using System;
using System.IO;
using System.Windows.Forms;

namespace ClientApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Design_Click(object sender, EventArgs e)
        {
            ReportController controller = new ReportController();
            var repInfo = new ReportInfo { LLReportFile = "Customers.lst", FileName = "Customers", Name = "Selected Customers", ReportFileType = ReportFileType.pdf };
            var reportModel = controller.GetReport(repInfo);
            using (ListLabel LL = new ListLabel())
            {
                LL.LicensingInfo = "OUROWN";
                LL.Variables.AddFromObject("info", "Testing LL");
                LL.Variables.AddFromObject("employer", "Employer data");
                LL.DataSource = new ObjectDataProvider(reportModel);
                LL.Design(); 
            }
        }

        private void Stream_Click(object sender, EventArgs e)
        {
            ServiceReference1.WebServiceSoapClient client = new ServiceReference1.WebServiceSoapClient();
            byte[] vs = client.GetReport(true);

            string reportPath = Path.Combine(@"c:\tmp\customers.ll");
            File.WriteAllBytes(reportPath, vs);

            // Standalone LL viewer
            System.Diagnostics.Process.Start("LLVIEW28.exe", reportPath);
        }

        private void NoDrill_Click(object sender, EventArgs e)
        {
            ServiceReference1.WebServiceSoapClient client = new ServiceReference1.WebServiceSoapClient();
            byte[] vs = client.GetReport(false);

            string reportPath = Path.Combine(@"c:\tmp\customers-nodrill.ll");
            File.WriteAllBytes(reportPath, vs);

            // Standalone LL viewer
            System.Diagnostics.Process.Start("LLVIEW28.exe", reportPath);
        }
    }
}
